import { RGBF } from '../interfaces/color-models';
export declare class HueHelper {
    static calculateBasisFromRGBF(rgb: RGBF): HueBasis;
    static hueToRgbMatrix(a: number, b: number, c: number, m: number): RGBF;
}
export declare class HexHelper {
    static numberToHex(value: number): string;
}
export declare class XYZHelper {
    static pivotRGB(v: number): number;
    static pivotXYZ(v: number): number;
    static pivotToLab(v: number): number;
    static pivotFromLab(v: number): number;
}
export interface HueBasis {
    min: number;
    max: number;
    delta: number;
    hue: number;
}
