import { RGB8 } from '../interfaces/color-models';
/**
 * Converter for hexadecimal RGB colour representation.
 */
export declare class FromHex {
    /**
     * Converts hex colour into RGB8 object.
     * @param {string} hex
     * @returns {RGB8}
     */
    static toRGB8(hex: string): RGB8;
}
